/***************************************************************************
                           DScalerFilterGreedy.cpp
                           -----------------------
    begin                : Sat Jul 10 2004
    copyright            : (C) 2004 by Dirk Ziegelmeier
    email                : dziegel@gmx.de
 ***************************************************************************/

/*
 * Greedy (Low Motion) algorithm taken from DScaler.
 * Copyright (c) 2001 Tom Barry  All rights reserved.
 *
 * Ported by: Dirk Ziegelmeier
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 */

#include <stdlib.h>

#include <klocale.h>
#include "dscalerfiltergreedy.h"
#include "x86-64_macros.inc"

DScalerFilterGreedy::DScalerFilterGreedy()
    : KdetvDScalerFilter(i18n("Greedy (Low Motion)")),
      _maxComb(MAX_COMB_DEFAULT)
{
}


DScalerFilterGreedy::~DScalerFilterGreedy()
{
}


#define IS_MMX 1
#include "greedy_inc.cpp"
#undef IS_MMX

#define IS_SSE 1
#include "greedy_inc.cpp"
#undef IS_SSE

#define IS_3DNOW 1
#include "greedy_inc.cpp"
#undef IS_3DNOW
