/***************************************************************************
                           dscalerfiltergreedyh.h
                           ----------------------
    begin                : Wed Jul 21 2004
    copyright            : (C) 2004 by Dirk Ziegelmeier
    email                : dziegel@gmx.de
 ***************************************************************************/

/*
 * GreedyH algorithm taken from DScaler.
 * Copyright (c) 2001 Tom Barry.  All rights reserved.
 *
 * Ported by: Dirk Ziegelmeier
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 */

#ifndef DSCALERFILTERGREEDYH_H
#define DSCALERFILTERGREEDYH_H

#include <kdetvdscalerfilter.h>

#define MAXCOMB_DEFAULT          5
#define MOTIONTHRESHOLD_DEFAULT 25
#define MOTIONSENSE_DEFAULT     30

class DScalerFilterGreedyH : public KdetvDScalerFilter
{
public:
    DScalerFilterGreedyH();

    virtual ~DScalerFilterGreedyH();

    virtual void filterDScaler_3DNOW(TDeinterlaceInfo* pInfo);
    virtual void filterDScaler_MMX(TDeinterlaceInfo* pInfo);
    virtual void filterDScaler_SSE(TDeinterlaceInfo* pInfo);

    unsigned int GreedyMaxComb;
    unsigned int GreedyMotionThreshold;
    unsigned int GreedyMotionSense;
};

#endif
